Update Destination - m3ter Documentation
Update Destination
cURL
curl --request PUT \
--url https://api.m3ter.com/organizations/{orgId}/integrationdestinations/webhooks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"url": "<string>",
"credentials": {
"type": "M3TER_SIGNED_REQUEST",
"apiKey": "api key",
"secret": "api secret",
"version": 123,
"empty": true,
"name": "Integration Credentials"
},
"version": 123,
"code": "<string>",
"active": true
}
'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/integrationdestinations/webhooks/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"url": "<string>",
"credentials": {
"type": "M3TER_SIGNED_REQUEST",
"apiKey": "api key",
"secret": "api secret",
"version": 123,
"empty": True,
"name": "Integration Credentials"
},
"version": 123,
"code": "<string>",
"active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
JavaScript
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
url: '<string>',
credentials: {
type: 'M3TER_SIGNED_REQUEST',
apiKey: 'api key',
secret: 'api secret',
version: 123,
empty: true,
name: 'Integration Credentials'
},
version: 123,
code: '<string>',
active: true
})
};
fetch('https://api.m3ter.com/organizations/{orgId}/integrationdestinations/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Codes
- 200: Returns the Destination Update Request
- 4XX: Client error responses
- 5XX: Server error responses
Response Structure
{
"id": "<string>",
"version": 123,
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"name": "<string>",
"description": "<string>",
"code": "<string>",
"active": true,
"url": "<string>",
"credentials": {
"id": "<string>",
"type": "<string>",
"destination": "<string>",
"version": 123,
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"destinationId": "<string>",
"name": "<string>",
"apiKey": "api key",
"secret": "api secret"
}
}
{
"message": "<string>"
}
{
"message": "<string>"
}